Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 23 Mar 2021 01:46:36 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi. I placed an order and received it as well. But The abaya is ordered is way too small eventhough I ordered my size 54. I am trying to change this but unfortunately I can’t find any option to return the abaya. Please help me here as this size is way too small for 54. I ordered an abaya before as well and it fit me perfectly so keeping in mind I ordered again.
Order no 6286214411 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2286925